import { type Readable } from "svelte/store";
import { type Colors } from "./colors";
import { type Icons } from "./icon";
export type Theme = 'light' | 'dark' | 'system';
export declare const themes: Theme[];
export interface Labels {
    light: string;
    dark: string;
    system: string;
}
export declare const defaultLabels: {
    light: string;
    dark: string;
    system: string;
};
export interface Config {
    key: string;
    colors: Colors;
    icons: Icons;
    labels: Labels;
}
export interface ThemeStore extends Readable<Theme> {
    setTheme(value: Theme): void;
    colors: Colors;
    icons: Icons;
    labels: Labels;
}
export declare function createThemeSwitcher(config?: Partial<Config>): ThemeStore;
